GET /api/v3/energyStar/pmProperty/{pmPropertyId}

Get a Portfolio Manager property

GetPortfolioManagerPropertyV3 Permissions: BuildingsAndOrganizations (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
pmPropertyId Portfolio Manager property identifier integer (int64) Required

Query Parameters

Name Description Type Required
verbose true by default.
When set to false the API will perform faster but will only retrieve PmPropertyId and PmPropertyName from Portfolio Manager. PmPropertyUseType, PmFloorArea, PmFloorAreaUnits will be null.
boolean Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

EnergyStarPmProperty
Property Description Type
place PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
placeSize PlaceSizeChild
PlaceSizeChild properties
Property Description Type
beginDate The effective start date for this place size record string (date-time)
endDate The effective end date for this place size record string (date-time)
placeSizeId The identifier for this PlaceSize record integer (int32)
unitCode The code for the unit this place size is measured in Must be between 0 and 16 characters Must be between 0 and 16 characters string
unitId The identifier for the unit this place size is measured in integer (int32)
unitInfo The name of the unit this place size is measured in Must be between 0 and 32 characters Must be between 0 and 32 characters string
value The value of the current place size record number (double)
pmFloorArea The Portfolio Manager floor area null when not linked to portfolio manager property integer (int32)
pmFloorAreaUnits The Portfolio Manager floor area units null when not linked to a portfolio manager property string
pmPropertyId The Portfolio Manager property identifier null when not linked to a portfolio manager property integer (int64)
pmPropertyName The Portfolio Manager property name null when not linked to a portfolio manager property string
pmPropertyUseType The Portfolio Manager property use type null when not linked to a portfolio manager property string
Example Response application/json
{  "place": {    "isDataRolledUp": false,    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "placeType": {      "icon": {},      "isSystemPlaceType": false,      "placeEntityType": {},      "placeTypeCode": "string",      "placeTypeId": 1,      "placeTypeInfo": "string",      "structure": false
    }
  },  "placeSize": {    "beginDate": "2026-03-30",    "endDate": "2026-03-30",    "placeSizeId": 1,    "unitCode": "string",    "unitId": 1,    "unitInfo": "string",    "value": 1.0
  },  "pmFloorArea": 1,  "pmFloorAreaUnits": "string",  "pmPropertyId": 1,  "pmPropertyName": "string",  "pmPropertyUseType": "string"
}